Loading...
Searching...
No Matches
url_base.h File Reference

Base class and common definitions for URL types. More...

`#include "ada/common_defs.h"`
`#include "ada/scheme.h"`
`#include <string>`
`#include <string_view>`

Go to the source code of this file.

## Classes

struct | ada::url_base
| Abstract base class for URL representations. More...

## Namespaces

namespace | ada

## Enumerations

enum | ada::url_host_type : uint8_t { ada::DEFAULT = 0 , ada::IPV4 = 1 , ada::IPV6 = 2 }
| Enum representing the type of host in a URL. More...

## Detailed Description

Base class and common definitions for URL types.

This file defines the url_base abstract base class from which both ada::url and ada::url_aggregator inherit. It also defines common enumerations like url_host_type.

Definition in file url_base.h.